########################
#  ONI TEAM ARENA 1.2  #
#  Arena of Hurt       #
########################
var int arena_areas= 4;
var int arena_air_quality= 0;
var int arena_air_quality_custom= 0;

######## CYCLING AREAS (CUSTOM)
func ArenaAreaInfo {
	dmsg " "
	if(arena_area eq 0) dmsg "[b.ARENA OF HURT]"
	
	ArenaGunsInfo(); ArenaScoreInfo(); dmsg "FIGHT!"
}
# WHEN THE LEVEL LOADS
func ArenaSetupLevel {
	gs_farclipplane_set(4000);
	arena_area= 0;
	gs_show_corpses= 0;
	

	ArenaResetLevel
}

# WHEN AN ARENA RESTARTS
func ArenaResetLevel {
	if(!arena_air_quality_custom) {
		arena_air_quality= 0;
		if(arena_area eq 0) arena_air_quality= 0;
		if(arena_area eq 1) arena_air_quality= 1;
		if(arena_area eq 2) arena_air_quality= 3;
#		if(arena_area eq 3) arena_air_quality= 2;
#		if(arena_area eq 5) arena_air_quality= 3;
#		if(arena_area eq 1) gs_show_environment= 0
#		else gs_show_environment= 1
	}
	if(arena_air_quality eq 0) {
		gl_fog_red= 0; gl_fog_green= 0; gl_fog_blue= 0;
		gl_fog_start= .995;
	}
	if(arena_air_quality eq 1) {
		gl_fog_red= .2; gl_fog_green= 0; gl_fog_blue= .2;
		gl_fog_start= .95;
	}
	if(arena_air_quality eq 2) {
		gl_fog_red= 0; gl_fog_green= .3; gl_fog_blue= 0;
		gl_fog_start= .8;
	}
	if(arena_air_quality eq 3) {
		gl_fog_red= .3; gl_fog_green= .1; gl_fog_blue= 0;
		gl_fog_start= .7;
	}
}
# AIR QUALITY MENU
func ArenaAirQualityNext {
	arena_air_quality_custom= 1;
	arena_air_quality= arena_air_quality + 1;
	if(arena_air_quality > 3) arena_air_quality= 0;
	ArenaResetLevel();
}
func ArenaAirQualityInfo {
	if(arena_air_quality eq 0) dmsg "CLEAN AIR HAPPY"
	if(arena_air_quality eq 1) dmsg "PURPLE HAZE"
	if(arena_air_quality eq 2) dmsg "HEAVY SMOG"
	if(arena_air_quality eq 3) dmsg "CATACLYSM"
}
