########################
#  ONI TEAM ARENA 1.2  #
#  LAB                 #
########################
var int arena_misc= 1;
var int arena_bomber= 1;
var string arena_bomber_name= Bomber_Hypo;
######################
func void ArenaSetupTeams(void) {
	arena_players= 1; arena_misc= 0;
	chr_unkillable(konoko, 1); chr_changeteam(konoko, Konoko);
	fork RespawnPlayer(0, Konoko, konoko, "[y.KONOKO]");
	if(arena_misc) chr_super(konoko, 1);
	sleep 100; fork AddEnemyTeam();
	sleep 50; fork AddFriendTeam();
}
func void AddFriendTeam(void) {
	AddPlayer(Konoko, GriffinOPs01, "[r.Griffin]"); sleep 150;
	AddPlayer(Konoko, Shin01, "Shinatama"); sleep 150;
	AddPlayer(Konoko, CopFemale01, "[b.Karen]"); sleep 150;
	AddPlayer(Konoko, SWATOPs01, "[r.TCTF Swat]"); sleep 150;
	AddPlayer(Konoko, CopMale01, "[o.Top Cop]"); sleep 150;
	AddPlayer(Konoko, TCTFLightOPs01, "[b.Blackops]"); sleep 150;
	dmsg("[b.TCTF] team complete");
}
func void AddEnemyTeam(void) {
	AddPlayer(Syndicate, Muro01, "[o.Muro]"); sleep 150;
	if(arena_misc) chr_super(Muro01, 1); chr_boss_shield Muro01
	AddPlayer(Syndicate, Barabas01, "[b.Barabus]"); sleep 150;
	AddPlayer(Syndicate, Mukade01, "[b.Mukade]"); sleep 150;
	AddPlayer(Syndicate, Bomber_Hypo, "[r.Mad Bomber]"); sleep 150;
	AddPlayer(Syndicate, Red_Fury02, "[y.Fury]"); sleep 150;
	AddPlayer(Syndicate, Red_Tanker_Clip, "[b.Tanker]"); sleep 150;
	AddPlayer(Syndicate, Red_Striker_Hypo, "[b.Striker]"); sleep 150;
	AddPlayer(Syndicate, Red_Elite_Hypo, "[g.Elite]");sleep 150;
	dmsg("[r.Syndicate] team complete");
	ArenaTeamsComplete();
}
func DrainYou {
chr_wait_animation(Barabus,BARABpowerup)
chr_poison(konoko, 5, 3, 10); sleep 1;
fork DrainYou
}

######## KILLS EVERYBODY MAC VERSION
func ArenaKillAllPlayers {
#For Konoko, we could also use her script ID, 0
chr_set_health konoko 1
sleep 1; chr_set_health GriffinOPs01 1
sleep 10; chr_set_health Shin01 1
sleep 1; chr_set_health CopFemale01 1
sleep 1; chr_set_health SWATOPs01 1
sleep 1; chr_set_health CopMale01 1
sleep 1; chr_set_health TCTFLightOPs01 1
sleep 1; chr_set_health Barabas01 1
sleep 1; chr_set_health Muro01 1
sleep 1; chr_set_health Mukade01 1
sleep 1; chr_set_health Bomber_Hypo 1
sleep 1; chr_set_health Red_Tanker_Clip 1
sleep 1; chr_set_health Red_Striker_Hypo 1
sleep 1; chr_set_health Red_Elite_Hypo 1
sleep 1; chr_set_health Red_Fury02 1
}

################################# MARS & VENUS
func ArenaMiscNext {
	arena_misc= arena_misc + 1; if(arena_misc > 1) arena_misc= 0;
	if(arena_misc) {
		chr_inv_reset(konoko); chr_inv_reset(Muro01);
		chr_givepowerup(konoko, invis, -1);
		chr_givepowerup(Barabus, invis, -1);
		chr_super(konoko, 1); chr_super(Muro01, 1);
	}
	if(!arena_misc) {
		chr_inv_reset(konoko); chr_inv_reset(Muro01);
		chr_super(konoko, 0); chr_super(Muro01, 0);
	}
}
func ArenaMiscInfo {
	if(!arena_misc) dmsg "NOTHING SPECIAL"
	else dmsg "[r.MARS] & [b.VENUS]"
}
################################# CALLED AT EVERY FRAG
func ArenaAwareness {
	if(arena_misc) {
		chr_inv_reset(konoko); chr_inv_reset(Muro2);
		sleep 1; chr_givepowerup(konoko, invis, -1);
		chr_givepowerup(Muro2, invis, -1);
	}
		ai2_makeaware(Griffin_Swat, Muro01)
		ai2_makeaware(Swat_TCTF, Muro01)
		ai2_makeaware(Shin_Fighter, Muro01)
		ai2_makeaware(TCTF_Blackops, Barabas01)
		ai2_makeaware(Top_Cop, Barabas01)
		ai2_makeaware(TCTF_Blackops, Barabas01)

		ai2_makeaware(Barabus, konoko)
		ai2_makeaware(Muro2, konoko)
		ai2_makeaware(Mukade, konoko)
		ai2_makeaware(Red2, konoko)
		ai2_makeaware(Tanker2, konoko)
		ai2_makeaware(Striker2, konoko)
		ai2_makeaware(Elite2, konoko)
		ai2_makeaware(Tower_MB_1, konoko)
#		ai2_makeaware(opposite_striker_2, konoko)
#		ai2_makeaware(Ambush_Striker_1, konoko)

		
	
}
func ArenaForgetPlayer {
#	ai2_forget(Lobby_TCL_1, player_name)
#	ai2_forget(Lobby_TCL_2, player_name)
#	ai2_forget(Lobby_TCS_1, player_name)
#	ai2_forget(BombTCTF1, player_name)
#	ai2_forget(BombTCTF2, player_name)
#	ai2_forget(BombComguy, player_name)
#	ai2_forget(Barabus, player_name)
	ai2_forget(Floor1_Striker_1, player_name)
	ai2_forget(Roof_Striker_1, player_name)
	ai2_forget(Floor1_Striker_12, player_name)
	ai2_forget(Lobby_Striker_2, player_name)
	ai2_forget(Lobby_Striker_1, player_name)
	ai2_forget(Floor2_Striker_2, player_name)
	ai2_forget(Tower_MB_1, player_name)
	ai2_forget(Floor1_Sci_2, player_name)
	ai2_forget(Floor2_Sci_2, player_name)
}
################################### USED FOR BOT SHAPESHIFTING
################ PLAYERS APPEAR IN THE ORDER THEY WERE SPAWNED
func void ArenaMenuName(void) {
	if(!arena_tag) {
		if(player_id eq  0)
			{arena_menu_name= konoko; arena_menu_nick= "[y.KONOKO]";}
		if(player_id eq  1)
			{arena_menu_name= Barabus; arena_menu_nick= "[o.SEA DRAGON]";}
		if(player_id eq  2)
			{arena_menu_name= Floor1_Sci_2; arena_menu_nick= "[r.Citizen Smith]";}
		if(player_id eq  3)
			{arena_menu_name= Lobby_TCL_1; arena_menu_nick= "[r.Salmon]";}
		if(player_id eq  4)
			{arena_menu_name= Floor1_Striker_1; arena_menu_nick= "[b.Shark]";}
		if(player_id eq  5)
			{arena_menu_name= Floor2_Sci_2; arena_menu_nick= "[y.Citizen Jones]";}
		if(player_id eq  6)
			{arena_menu_name= Lobby_TCL_2; arena_menu_nick= "Tuna";}
		if(player_id eq  7)
			{arena_menu_name= Roof_Striker_1; arena_menu_nick= "[b.Kingfisher]";}
		if(player_id eq  8)
			{arena_menu_name= Floor2_Sci_4; arena_menu_nick= "[b.Citizen Jane]";}
		if(player_id eq  8)
			{arena_menu_name= Lobby_TCS_1; arena_menu_nick= "[b.Minnow]";}
		if(player_id eq  9)
			{arena_menu_name= Floor1_Striker_12; arena_menu_nick= "[r.Seagull]";}
		if(player_id eq 10)
			{arena_menu_name= BombTCTF1; arena_menu_nick= "[r.Lingcod]";}
		if(player_id eq 11)
			{arena_menu_name= Lobby_Striker_2; arena_menu_nick= "[y.Golden Eagle]";}
		if(player_id eq 12)
			{arena_menu_name= BombTCTF2; arena_menu_nick= "[o.Cod]";}
		if(player_id eq 13)
			{arena_menu_name= Lobby_Striker_1; arena_menu_nick= "[b.Whale]";}
#		if(player_id eq 15)
#			{arena_menu_name= BombComguy; arena_menu_nick= "[b.Halibut]";}
#		if(player_id eq 16)
#			{arena_menu_name= opposite_striker_2; arena_menu_nick= "[y.Stingray]";}
		if(player_id eq 14)
			{arena_menu_name= Floor2_Striker_2; arena_menu_nick= "[b.Eel]";}
		if(player_id eq 15)
			{arena_menu_name= Tower_MB_1; arena_menu_nick= "[g.Pufferfish]";}
#		if(player_id eq 19)
#			{arena_menu_name= Ambush_Striker_1; arena_menu_nick= "[b.Gavial]";}
	}
	if(arena_tag) {
		if(player_id eq  0)
			{arena_menu_name= konoko; arena_menu_nick= "[y.KONOKO]";}
#		if(player_id eq  1)
#			{arena_menu_name= Barabus; arena_menu_nick= "[o.SEA DRAGON]";}
		if(player_id eq  1)
			{arena_menu_name= Floor1_Sci_2; arena_menu_nick= "[r.Citizen Smith]";}
		if(player_id eq  2)
			{arena_menu_name= Floor1_Striker_1; arena_menu_nick= "[b.Shark]";}
		if(player_id eq  3)
			{arena_menu_name= Floor2_Sci_2; arena_menu_nick= "[y.Citizen Jones]";}
		if(player_id eq  4)
			{arena_menu_name= Roof_Striker_1; arena_menu_nick= "[b.Kingfisher]";}
#		if(player_id eq  8)
#			{arena_menu_name= Floor2_Sci_4; arena_menu_nick= "[b.Citizen Jane]";}
		if(player_id eq  5)
			{arena_menu_name= Floor1_Striker_12; arena_menu_nick= "[r.Seagull]";}
		if(player_id eq  6)
			{arena_menu_name= Lobby_Striker_2; arena_menu_nick= "[y.Golden Eagle]";}
		if(player_id eq  7)
			{arena_menu_name= Lobby_Striker_1; arena_menu_nick= "[b.Whale]";}
#		if(player_id eq 15)
#			{arena_menu_name= BombComguy; arena_menu_nick= "[b.Halibut]";}
#		if(player_id eq 16)
#			{arena_menu_name= opposite_striker_2; arena_menu_nick= "[y.Stingray]";}
		if(player_id eq  8)
			{arena_menu_name= Floor2_Striker_2; arena_menu_nick= "[b.Eel]";}
		if(player_id eq  9)
			{arena_menu_name= Tower_MB_1; arena_menu_nick= "[g.Pufferfish]";}
#		if(player_id eq 19)
#			{arena_menu_name= Ambush_Striker_1; arena_menu_nick= "[b.Gavial]";}
	}
}
